<?xml version="1.0" encoding="UTF-8"?>

<?import java.net.*?>
<?import javafx.geometry.*?>
<?import javafx.scene.control.*?>
<?import javafx.scene.layout.*?>

<AnchorPane id="AnchorPane" prefHeight="400.0" prefWidth="600.0" styleClass="mainFxmlClass" xmlns="http://javafx.com/javafx/11.0.1" xmlns:fx="http://javafx.com/fxml/1" fx:controller="es.batoi.caso04_minieditor.AppController">
    <stylesheets>
        <URL value="@appcss.css" />
    </stylesheets>
   <children>
      <HBox layoutX="14.0" layoutY="14.0" prefHeight="100.0" prefWidth="572.0" AnchorPane.leftAnchor="14.0" AnchorPane.rightAnchor="14.0" AnchorPane.topAnchor="14.0">
         <children>
            <Button fx:id="btnNuevo" mnemonicParsing="false" onAction="#handleNuevo" text="NUEVO">
               <padding>
                  <Insets bottom="25.0" left="25.0" right="25.0" top="25.0" />
               </padding>
               <HBox.margin>
                  <Insets bottom="20.0" left="20.0" right="20.0" top="20.0" />
               </HBox.margin>
            </Button>
            <Button fx:id="btnAbrir" mnemonicParsing="false" onAction="#handleAbrir" text="ABRIR">
               <padding>
                  <Insets bottom="25.0" left="25.0" right="25.0" top="25.0" />
               </padding>
               <HBox.margin>
                  <Insets bottom="20.0" left="20.0" right="20.0" top="20.0" />
               </HBox.margin>
            </Button>
            <Button fx:id="btnGuardar" mnemonicParsing="false" onAction="#handleGuardar" text="GUARDAR">
               <padding>
                  <Insets bottom="25.0" left="25.0" right="25.0" top="25.0" />
               </padding>
               <HBox.margin>
                  <Insets bottom="20.0" left="20.0" right="20.0" top="20.0" />
               </HBox.margin>
            </Button>
            <Button fx:id="btnCerrar" mnemonicParsing="false" onAction="#handleCerrar" text="CERRAR">
               <padding>
                  <Insets bottom="25.0" left="25.0" right="25.0" top="25.0" />
               </padding>
               <HBox.margin>
                  <Insets bottom="20.0" left="20.0" right="20.0" top="20.0" />
               </HBox.margin>
            </Button>
         </children>
      </HBox>
      <TextArea fx:id="taEditor" disable="true" layoutX="14.0" layoutY="119.0" prefHeight="200.0" prefWidth="200.0" promptText="Escribe aquí...." wrapText="true" AnchorPane.bottomAnchor="50.0" AnchorPane.leftAnchor="14.0" AnchorPane.rightAnchor="14.0" AnchorPane.topAnchor="119.0" />
      <Label fx:id="lblInfo" layoutX="14.0" layoutY="362.0" prefHeight="24.0" prefWidth="572.0" text="Estado..." textAlignment="CENTER" AnchorPane.bottomAnchor="14.0" AnchorPane.leftAnchor="14.0" AnchorPane.rightAnchor="14.0" AnchorPane.topAnchor="362.0" />
      <ComboBox id="filesRecents" fx:id="filesRecents" layoutX="373.0" layoutY="361.0" prefHeight="26.0" prefWidth="213.0" />
   </children>
</AnchorPane>
